Skip to main content
Cardiff Rugby Online Museum
  • Objects
    • All Objects
    • Featured Objects
    • Recently Added
    • By Category
    • By Keyword
    • Collections
    • Timeline
    • Recently Updated
  • By Season
  • Articles
  • Acknowledgements
  • About CF10
  • Contact Us
  • Search

CRFC 1st Team Photo

Photograph
1911/1912
Photograph - Cardiff RFC 1911/12
Read more »
Photograph
1911/1912
Photograph - Cardiff RFC 1912
Stade Francais 3 - 19 Cardiff Read more »
Photograph
1913/1914
Photograph - Cardiff RFC 1913
Cardiff Past 11 -11 Cardiff Present Read more »
Photograph
1913/1914
Photograph - Cardiff RFC 1913/14
Read more »
Photograph
1921/1922
Photograph - Cardiff RFC 1921 with Bristol
Bristol 19 - 3 Cardiff Read more »
Photograph
1921/1922
Photograph - Cardiff RFC 1921/22
Read more »
Photograph
1924/1925
Photograph - Cardiff RFC 1924 with New Zealand
Cardiff 8 - 16 New Zealand Read more »
Photograph
1924/1925
Photograph - Cardiff RFC 1924/25
Read more »
Photograph
1925/1926
Photograph - Cardiff RFC 1925/26
Read more »
Photograph
1926/1927
Photograph - Cardiff RFC 1926 with Maoris
Cardiff 8 - 18 Maoris Read more »
Photograph
1926/1927
Photograph - Cardiff RFC 1926/27
Read more »
Photograph
1928/1929
Photograph - Cardiff RFC 1928/29
Read more »
Photograph
1929/1930
Photograph - Cardiff RFC 1929/30
Read more »
Photograph
1930/1931
Photograph - Cardiff RFC 1930/31
Read more »
Photograph
1930/1931
Photograph - Cardiff RFC 1930/31
Read more »
Photograph
1931/1932
Photograph - Cardiff RFC 1931/32
Read more »

Pages

  • « first
  • ‹ previous
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • …
  • next ›
  • last »

Copyright © CF10 Rugby Trust 2026. All rights Reserved. Admin Login/Logout
All content on this website is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.